Subject: Configuring locking on Pine

From: Larry Griffith <[email-masked]>
Date: Mon, 05 May 1997 16:15:59 -0400

Dear Pine experts,

	I run a network of DEC 3000's running DU v4.0.  My users have
had persistent problems with Pine, which frequently spends 10 minutes
or more trying to write "Fcc".  It appears that the problem has to do
with file locking as I get many lock files created in a very short
interval of time in affected user directories relative to "sent-mail"
and "interrupted-mail" (the latter probably due to frustrated users).
The user directories are NFS-distributed (this is a college);
/var/spool/mail is NOT NFS-distributed.

	Call #1 to DEC Support (late February) revealed a patch for
lockd in version 4.0 .  I installed it; the problem persists and in
fact is now getting worse.  In desperation I called again; DEC Support
suggested that pine and procmail (which was installed very recently)
should have lockf locking enabled to handle NFS (I'm not an expert on
file locking mechanisms and I wouldn't have trusted myself to choose
one).  procmail seems to be doing this anyways, but I reconfigured to
force lockf: no help.  For the life of me, I can't find any way to
configure Pine to use lockf or indeed any particular locking
mechanism.  We are using Pine v3.96.

	Any suggestions?  Am I barking up the wrong tree?  Can Pine be
made to use lockf?  Help, my mail box was loaded with student
complaints this morning!

						Larry

============================================================================
Larry Griffith                       Dept. of Computer & Info Science
[email-masked]          Westfield State College
(413) 572-5294                       Westfield, MA 01086 USA
PGP public key available at: http://garfield.wsc.mass.edu/dcis/griffith.html
============================================================================